function p.get_is_solid() return false end
function p.get_tex() return "" end

function p.main()
    set_default_block("e")

    local msg_str = "Just below this text box is a diamond box. "
        .. "When you use the box, it will give you a diamond "
        .. "(and you can see your diamond counter go up in the "
        .. "right hand corner of the screen.\n\n"
        .. "One of your items is a gun which creates diamond boxes.\n\n"
        .. "Read WorldNodes/Nodes/CubesSmart/block_diamond_box.lua "
        .. "to see how the diamond box block works. "
    h.txt(7,7,2, msg_str)

    set_pos(7,7,0,"diamond_box")
end
